List all subscription entitlements
curl --request GET \
--url https://api-m.sandbox.paypal.com/v1/commerce/billing/subscriptions/{external_subscription_id}/entitlements \
--header 'Authorization: Bearer <token>'{
"entitlements": [
{
"feature_code": "seats",
"name": "Number of seats",
"description": "Number of users of the account",
"feature_privileges": [
{
"code": "max",
"name": "Maximum",
"value_type": "INTEGER",
"value": 15,
"plan_value": 10,
"override_value": 15
},
{
"code": "max_admins",
"name": "Max Admins",
"value_type": "INTEGER",
"value": 5,
"plan_value": 5,
"override_value": null
},
{
"code": "root",
"name": "Allow root user",
"value_type": "BOOLEAN",
"value": true,
"plan_value": true,
"override_value": null
},
{
"code": "provider",
"name": "SSO Provider",
"value_type": "SELECT",
"value": "okta",
"plan_value": "google",
"override_value": "okta",
"config": {
"select_options": [
"google",
"okta"
]
}
}
]
},
{
"feature_code": "api_access",
"name": "API Access",
"description": "Access to REST API endpoints",
"feature_privileges": [
{
"code": "rate_limit",
"name": "API Rate Limit",
"value_type": "INTEGER",
"value": 10000,
"plan_value": 10000,
"override_value": null
},
{
"code": "endpoints",
"name": "Available Endpoints",
"value_type": "SELECT",
"value": "all",
"plan_value": "all",
"override_value": null,
"config": {
"select_options": [
"basic",
"standard",
"premium",
"all"
]
}
}
]
}
]
}{
"name": "<string>",
"debug_id": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"value": "<string>",
"location": "<string>",
"issue": "<string>",
"description": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}List all subscription entitlements
Retrieve effective entitlements for a subscription, including plan defaults and subscription-specific overrides
GET
/
subscriptions
/
{external_subscription_id}
/
entitlements
List all subscription entitlements
curl --request GET \
--url https://api-m.sandbox.paypal.com/v1/commerce/billing/subscriptions/{external_subscription_id}/entitlements \
--header 'Authorization: Bearer <token>'{
"entitlements": [
{
"feature_code": "seats",
"name": "Number of seats",
"description": "Number of users of the account",
"feature_privileges": [
{
"code": "max",
"name": "Maximum",
"value_type": "INTEGER",
"value": 15,
"plan_value": 10,
"override_value": 15
},
{
"code": "max_admins",
"name": "Max Admins",
"value_type": "INTEGER",
"value": 5,
"plan_value": 5,
"override_value": null
},
{
"code": "root",
"name": "Allow root user",
"value_type": "BOOLEAN",
"value": true,
"plan_value": true,
"override_value": null
},
{
"code": "provider",
"name": "SSO Provider",
"value_type": "SELECT",
"value": "okta",
"plan_value": "google",
"override_value": "okta",
"config": {
"select_options": [
"google",
"okta"
]
}
}
]
},
{
"feature_code": "api_access",
"name": "API Access",
"description": "Access to REST API endpoints",
"feature_privileges": [
{
"code": "rate_limit",
"name": "API Rate Limit",
"value_type": "INTEGER",
"value": 10000,
"plan_value": 10000,
"override_value": null
},
{
"code": "endpoints",
"name": "Available Endpoints",
"value_type": "SELECT",
"value": "all",
"plan_value": "all",
"override_value": null,
"config": {
"select_options": [
"basic",
"standard",
"premium",
"all"
]
}
}
]
}
]
}{
"name": "<string>",
"debug_id": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"value": "<string>",
"location": "<string>",
"issue": "<string>",
"description": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Authorizations
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Path Parameters
The external ID of the subscription
Response
Effective entitlements for the subscription
List of effective entitlements for the subscription, showing both plan values and subscription-specific overrides
Show child attributes
Show child attributes
Was this page helpful?
⌘I